body {
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.loader {
    color: #ffffff;
    font-size: 40px;
    text-indent: -9999em;
    overflow: hidden;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    margin-top: -20px;
    margin-left: -20px;
    position: absolute;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load6 1.7s infinite ease, round 1.7s infinite ease;
    animation: load6 1.7s infinite ease, round 1.7s infinite ease;
}

@-webkit-keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }
    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }
    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }
    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }
    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@-webkit-keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.rtl-player-loader-container {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 2;
    opacity: 1;
}

.vjs-rtl-player.video-js .vjs-big-play-button {
    border-radius: 50%;
    width: 2em;
    height: 2em;
    line-height: 2em;
    margin-top: -1em;
    margin-left: -1em;
    border: none;
    transition: none;
}

.vjs-rtl-player.video-js .vjs-control-bar {
    bottom: 10px;
    width: 98%;
    left: 1%;

    border-radius: 8px;
    background-color: #000;
    height: 5em;
}

.vjs-rtl-player.video-js .vjs-button > .vjs-icon-placeholder:before {
    line-height: 2.8;
}

.vjs-rtl-player.video-js .vjs-quality-selector .vjs-button > .vjs-icon-placeholder:before {
    line-height: 2.2;
}

.vjs-rtl-player.video-js .vjs-volume-panel.vjs-hover .vjs-volume-control.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel:active .vjs-volume-control.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel:focus .vjs-volume-control.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control:active.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel.vjs-hover .vjs-mute-control ~ .vjs-volume-control.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control.vjs-slider-active.vjs-volume-horizontal,
.vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control.vjs-control.vjs-volume-horizontal {
    top: 1em;
}

.vjs-rtl-player.video-js .vjs-time-control {
    line-height: 4em;
    font-size: 1.3em;
}

.vjs-rtl-player.video-js .vjs-menu-button-popup .vjs-menu .vjs-menu-content {
    background-color: #000;
    bottom: 2.5em;
    z-index: 2;
}

.vjs-rtl-player.video-js .vjs-quality-selector {
    line-height: 3em;
    font-size: 1.3em;
}

.vjs-rtl-player.video-js .vjs-live .vjs-time-control,
.vjs-rtl-player.video-js .vjs-live .vjs-time-divider,
.vjs-rtl-player.video-js .vjs-current-time,
.vjs-rtl-player.video-js .vjs-duration,
.vjs-rtl-player.video-js .vjs-time-divider {
    display: block;
}

.vjs-rtl-player.video-js .vjs-remaining-time {
    display: none;
}

.vjs-rtl-player.video-js .vjs-progress-holder {
    height: 0.6em;
}

.vjs-rtl-player.video-js .vjs-play-progress:before {
    font-size: 1.3em;
    line-height: 0.5em;
}

.vjs-rtl-player.video-js .vjs-product-appearance-dialog {
    width: 370px;
    height: 20px;
    overflow: visible;
    color: white;
    left: 0;
    bottom: 70px;
    top: auto;
    z-index: 1;
    position: absolute;
    font-size: 10px;
    font-weight: bold;
    padding: 5px 5px 5px 25px;
    background: rgb(14, 14, 14);
    background: -moz-linear-gradient(left, rgba(14, 14, 14, 1) 0%, rgba(73, 73, 76, 1) 100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(14, 14, 14, 1)), color-stop(100%, rgba(73, 73, 76, 1)));
    background: -webkit-linear-gradient(left, rgba(14, 14, 14, 1) 0%, rgba(73, 73, 76, 1) 100%);
    background: -o-linear-gradient(left, rgba(14, 14, 14, 1) 0%, rgba(73, 73, 76, 1) 100%);
    background: -ms-linear-gradient(left, rgba(14, 14, 14, 1) 0%, rgba(73, 73, 76, 1) 100%);
    background: linear-gradient(to right, rgba(14, 14, 14, 1) 0%, rgba(73, 73, 76, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#0e0e0e', endColorstr='#49494c', GradientType=1);
    text-transform: uppercase;
}

.vjs-rtl-player.video-js .vjs-product-appearance-dialog .vjs-modal-dialog-content {
    padding: 0;
}

.vjs-rtl-player.video-js .vjs-product-appearance-dialog .vjs-modal-dialog-content > div {
    padding-left: 25px;
}

.vjs-rtl-player.video-js .vjs-product-appearance-dialog .exclamationMark {
    position: absolute;
    left: 9px;
    font-size: 29px;
    bottom: -6px;
    z-index: 99;
    text-shadow: -1px -1px 0 #F00, 1px -1px 0 #F00, -1px 1px 0 #F00, 1px 1px 0 #F00;
}

.vjs-rtl-player.video-js .vjs-product-appearance-dialog .bottomLine {
    position: absolute;
    width: 100%;
    height: 2px;
    left: 0;
    background: rgb(193, 0, 23);
    background: -moz-linear-gradient(left, rgba(193, 0, 23, 1) 0%, rgba(221, 96, 64, 1) 40%, rgba(255, 213, 113, 1) 100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(193, 0, 23, 1)), color-stop(40%, rgba(221, 96, 64, 1)), color-stop(100%, rgba(255, 213, 113, 1)));
    background: -webkit-linear-gradient(left, rgba(193, 0, 23, 1) 0%, rgba(221, 96, 64, 1) 40%, rgba(255, 213, 113, 1) 100%);
    background: -o-linear-gradient(left, rgba(193, 0, 23, 1) 0%, rgba(221, 96, 64, 1) 40%, rgba(255, 213, 113, 1) 100%);
    background: -ms-linear-gradient(left, rgba(193, 0, 23, 1) 0%, rgba(221, 96, 64, 1) 40%, rgba(255, 213, 113, 1) 100%);
    background: linear-gradient(to right, rgba(193, 0, 23, 1) 0%, rgba(221, 96, 64, 1) 40%, rgba(255, 213, 113, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#c10017', endColorstr='#ffd571', GradientType=1);
}

.vjs-rtl-player.video-js .vjs-age-limit-dialog {
    width: 35px;
    height: 35px;
    overflow: visible;
    background: none;
    right: 10px;
    left: auto;
    bottom: 70px;
    top: auto;
    border-radius: 50%;
    border: 2px solid #f7ed22;
    visibility: hidden;
    opacity: 0;
    transition-delay: 0s;
    transition: all 1s ease;
}

.vjs-rtl-player.video-js .vjs-age-limit-dialog.age-limit-18 {
    border: 2px solid red;
}

.vjs-rtl-player.video-js .vjs-age-limit-dialog .vjs-modal-dialog-content {
    padding: 0;
    text-align: center;
    font-size: 20px;
    line-height: 32px;
    margin-left: -1.5px;
}

.vjs-has-started .vjs-age-limit-dialog,
.vjs-has-started.vjs-paused .vjs-age-limit-dialog,
.vjs-has-started.vjs-user-active .vjs-age-limit-dialog {
    visibility: visible;
    opacity: 1;
    transition-duration: .1s;
}

.vjs-rtl-player.video-js .vjs-channel-logo-dialog {
    width: 12%;
    height: 10%;
    background: none;
    left: 7%;
    top: 8%;
    z-index: 0;
}

.vjs-rtl-player.video-js .vjs-channel-logo-dialog .vjs-modal-dialog-content {
    padding: 0;
}

.vjs-rtl-player.video-js .vjs-channel-logo-dialog .vjs-modal-dialog-content > img {
    display: block;
    width: 100%;
}

.video-js .vjs-control:focus:before, .video-js .vjs-control:hover:before, .video-js .vjs-control:focus {
    text-shadow: none;
}

.vjs-rtl-player.video-js .vjs-midroll-countdown-dialog {
    width: 120px;
    height: 50px;
    background: rgba(0, 0, 0, .8);
    top: auto;
    right: auto;
    left: 10px;
    bottom: 70px;
    border: 1px solid;
}

.vjs-rtl-player.video-js .vjs-midroll-countdown-dialog .vjs-modal-dialog-content {
    padding: 0;
    font-size: 2em;
    line-height: 48px;
    text-align: center;
}

@media screen and (max-width: 700px) {
    .video-js .vjs-progress-control {
        position: absolute;
        top: -5px;
        left: 0;
        width: 100%;
        height: 15px;
    }

    .video-js .vjs-progress-control:hover .vjs-progress-holder {
        font-size: 1em;
    }

    .vjs-rtl-player.video-js .vjs-control-bar {
        justify-content: space-evenly;
    }

    .video-js .vjs-control:not(.vjs-progress-control):not(.vjs-close-button),
    .video-js .vjs-time-control {
        height: calc(100% - 25px);
        align-self: center;
    }

    .vjs-rtl-player.video-js .vjs-time-control {
        line-height: 2.1em;
    }

    .video-js .vjs-related-contents .vjs-icon-placeholder:before {
        background-size: .8em;
    }

    .vjs-rtl-player.video-js .vjs-menu-button-popup .vjs-menu .vjs-menu-content {
        bottom: 1.8em;
    }

    .vjs-rtl-player.video-js .vjs-button:not(.vjs-close-button) > .vjs-icon-placeholder:before {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .video-js .vjs-related-contents .vjs-icon-placeholder:before {
        top: 1px !important;
    }

    .video-js .vjs-mute-control {
        height: 100% !important;
    }

    .vjs-rtl-player.video-js .vjs-product-appearance-dialog {
        width: 315px;
    }

    .vjs-rtl-player.video-js .vjs-product-appearance-dialog .vjs-modal-dialog-content {
        font-size: 1em;
    }

    .video-js .vjs-button {
        outline: 0;
    }

    .vjs-rtl-player.video-js .vjs-time-control {
        display: none;
    }

    .vjs-rtl-player.video-js .vjs-volume-panel.vjs-hover .vjs-volume-control.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel:active .vjs-volume-control.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel:focus .vjs-volume-control.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control:active.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel.vjs-hover .vjs-mute-control ~ .vjs-volume-control.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control.vjs-slider-active.vjs-volume-horizontal,
    .vjs-rtl-player.video-js .vjs-volume-panel .vjs-volume-control.vjs-control.vjs-volume-horizontal {
        top: 0;
    }
}

.vjs-layout-small.video-js .vjs-time-control {
    display: none;
}

.fade-out {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 1s, opacity 1s linear;
}

.vjs-rtl-player.video-js .vjs-midroll-countdown-dialog {
    width: 120px;
    height: 50px;
    background: rgba(0, 0, 0, .8);
    top: auto;
    right: auto;
    left: 10px;
    bottom: 70px;
    border: 1px solid
}

.vjs-rtl-player.video-js .vjs-midroll-countdown-dialog .vjs-modal-dialog-content {
    padding: 0;
    font-size: 2em;
    line-height: 48px;
    text-align: center
}

.vjs-rtl-player.video-js .vjs-live-display {
    align-self: center
}

.vjs-rtl-player.video-js .vjs-quality-selector {
    button {
        display: flex;
        justify-content: center;
        align-items: center;

        & > span {
            display: contents;
        }
    }
}
